## gstplayer-visualization gstplayer-visualization — Player Visualization |

## Functions

GstPlayerVisualization ** | gst_player_visualizations_get ()
void | gst_player_visualizations_free ()
GstPlayerVisualization * | gst_player_visualization_copy ()
void | gst_player_visualization_free ()

## Types and Values

struct | GstPlayerVisualization

## Object Hierarchy

        GBoxed
        ╰── GstPlayerVisualization

## Description

## Functions

### gst_player_visualizations_get ()

    GstPlayerVisualization **
    gst_player_visualizations_get (void);

#### Returns

a `NULL` terminated array containing all available visualizations. Use `gst_player_visualizations_free()` after usage.

[transfer full][array zero-terminated=1][element-type GstPlayerVisualization]

### gst_player_visualizations_free ()

    void
    gst_player_visualizations_free (GstPlayerVisualization **viss);

Frees a `NULL` terminated array of GstPlayerVisualization.

#### Parameters

viss | a `NULL` terminated array of GstPlayerVisualization to free |

### gst_player_visualization_copy ()

    GstPlayerVisualization *
    gst_player_visualization_copy (const GstPlayerVisualization *vis);

Makes a copy of the GstPlayerVisualization. The result must be freed using `gst_player_visualization_free()`.

#### Parameters

vis | GstPlayerVisualization instance |

#### Returns

an allocated copy of `vis` .

[transfer full]

### gst_player_visualization_free ()

    void
    gst_player_visualization_free (GstPlayerVisualization *vis);

Frees a GstPlayerVisualization.

#### Parameters

vis | GstPlayerVisualization instance |

## Types and Values

### struct GstPlayerVisualization

    struct GstPlayerVisualization {
      gchar *name;
      gchar *description;
    };

A GstPlayerVisualization descriptor.

#### Members

gchar *`name`; | name of the visualization. |
gchar *`description`; | description of the visualization. |